Subject: [QUIC] h2 mapping - extensions

From: Patrick McManus <[email-masked]>
Date: Thu, 3 Nov 2016 17:52:48 -0400

Hi Robbie, Mike, et al. Thanks for getting the ball rolling with
https://tools.ietf.org/html/draft-shade-quic-http2-mapping-00..

What is the thinking about rfc 7540 h2 extensions and the h2/quic mapping..
particularly the way it allows unspecified frame types which may or may not
require negotiation.

it seems some of these extensions may have stateful issues across streams,
ala hpack and some may not.

If the extension were only defined for h2-over-quic that would be for the
extension to sort out.. but it doesn't seem like we are limiting things to
be defined in quic vs tcp, or are we?

-Patrick